"use strict";

exports.__esModule = true;
exports["default"] = void 0;

var _react = _interopRequireWildcard(require("react"));

var _reactFontawesome = _interopRequireDefault(require("react-fontawesome"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function _getRequireWildcardCache() { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { "default": obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj["default"] = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function _inheritsLoose(subClass, superClass) { subClass.prototype = Object.create(superClass.prototype); subClass.prototype.constructor = subClass; _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

var PhotoItem = /*#__PURE__*/function (_React$Component) {
  _inheritsLoose(PhotoItem, _React$Component);

  function PhotoItem() {
    return _React$Component.apply(this, arguments) || this;
  }

  var _proto = PhotoItem.prototype;

  _proto.render = function render() {
    return /*#__PURE__*/_react["default"].createElement("div", null, /*#__PURE__*/_react["default"].createElement("div", {
      onClick: this.props.onDeleteButtonClick
    }, /*#__PURE__*/_react["default"].createElement(_reactFontawesome["default"], {
      style: {
        color: "#e30000",
        backgroundColor: 'white',
        fontSize: "20px",
        position: "absolute",
        right: "5px",
        top: "5px",
        height: "19px",
        borderRadius: "2px"
      },
      className: "d-print-none remove-photo-item-btn",
      name: "window-close"
    })), /*#__PURE__*/_react["default"].createElement("img", this.props.imageProps), ";");
  };

  return PhotoItem;
}(_react["default"].Component);

var _default = PhotoItem;
exports["default"] = _default;
module.exports = exports.default;