"use strict";

exports.__esModule = true;
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _basicObjectFieldTemplate = _interopRequireDefault(require("./basic-object-field-template"));

var _rootObjectFieldTemplate = _interopRequireDefault(require("./root-object-field-template"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _inheritsLoose(subClass, superClass) { subClass.prototype = Object.create(superClass.prototype); subClass.prototype.constructor = subClass; _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

var GridObjectFieldTemplate = /*#__PURE__*/function (_React$Component) {
  _inheritsLoose(GridObjectFieldTemplate, _React$Component);

  function GridObjectFieldTemplate() {
    return _React$Component.apply(this, arguments) || this;
  }

  var _proto = GridObjectFieldTemplate.prototype;

  _proto.render = function render() {
    var idSchema = this.props.idSchema;

    if (idSchema.$id === "root") {
      return /*#__PURE__*/_react["default"].createElement(_rootObjectFieldTemplate["default"], this.props);
    }

    return /*#__PURE__*/_react["default"].createElement(_basicObjectFieldTemplate["default"], this.props);
  };

  return GridObjectFieldTemplate;
}(_react["default"].Component);

var _default = GridObjectFieldTemplate;
exports["default"] = _default;
module.exports = exports.default;